如何升级proj4 rgdal

我广泛使用R包rgdal和rgeos(目前在R v3.2.2中)。 最近,在我的ubuntu机器上(ubuntu v15.10),当我加载rgdal包时,我看到以下内容:

> library(rgdal) Loading required package: sp rgdal: version: 1.0-7, (SVN revision 559) Geospatial Data Abstraction Library extensions to R successfully loaded Loaded GDAL runtime: GDAL 1.11.1, released 2014/09/24 Path to GDAL shared files: /usr/local/share/gdal Loaded PROJ.4 runtime: Rel. 4.9.1, 04 March 2015, [PJ_VERSION: 491] Path to PROJ.4 shared files: (autodetected) WARNING: no proj_defs.dat in PROJ.4 shared files Linking to sp version: 1.2-1 

我在最近的r-sig-geo上发现这是一个已知的问题,并且已经发布了一个rgdal包的更新来解决这个问题。 但是,尽pipe重新安装了rgdal软件包,但用以下方法重新安装gdal和proj4:

 sudo apt-get update && sudo apt-get install libgdal-dev libproj-dev 

我没看出任何区别。 当我使用这些包的function时,此问题会生成数百个警告消息。

相比之下,在我的Mac上,如果我加载了rgdal包,我明白了

 > library(rgdal) Loading required package: sp rgdal: version: 1.0-7, (SVN revision 559) Geospatial Data Abstraction Library extensions to R successfully loaded Loaded GDAL runtime: GDAL 1.11.3, released 2015/09/16 Path to GDAL shared files: /usr/local/Cellar/gdal/1.11.3/share/gdal Loaded PROJ.4 runtime: Rel. 4.9.2, 08 September 2015, [PJ_VERSION: 491] Path to PROJ.4 shared files: (autodetected) Linking to sp version: 1.2-0 

所以gdal和proj.4有明显的更新,它们并没有放到我的linux机器上。

有没有人有任何想法如何获得更新?

谢谢!

我最终从源代码编译proj4和gdal,通过克隆各自的github库。

https://github.com/OSGeo/proj.4

https://github.com/OSGeo/gdal

在Ubuntu上安装rgdal应该可行(2个月前,在amazone的web服务器上)。 是的,我收到了错误,但是我可以通过添加一个文件夹来解决这个问题,这个文件夹在安装RGDAL时没有安装。